﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

//Tu jest code-behind

namespace Kolory2018
{
    /// <summary>
    /// Logika interakcji dla klasy MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            sliderR.Value = Properties.Settings.Default.R;
            sliderG.Value = Properties.Settings.Default.G;
            sliderB.Value = Properties.Settings.Default.B;
            Width = Properties.Settings.Default.Szerokość;
            Height = Properties.Settings.Default.Wysokosc;
            Left = Properties.Settings.Default.x;
            Top = Properties.Settings.Default.y;
        }

        private string toHexString(double value) //ta funkcja robi za dużo na raz
        {
            return ((int)value).ToString("X2");
        }


        private void Slider_ValueChanged(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            if (sliderR == null || sliderG == null || sliderB == null || prostokąt == null) return;

            Color kolor = Color.FromRgb((byte)sliderR.Value, (byte)sliderG.Value, (byte)sliderB.Value);
            prostokąt.Fill = new SolidColorBrush(kolor);
            //GC.Collect();

            opisKoloru.Text = "Kolor: #" +
                toHexString(sliderR.Value) +
                toHexString(sliderG.Value) +
                toHexString(sliderB.Value);
        }

        private void Window_Closed(object sender, EventArgs e)
        {
            Properties.Settings.Default.R = (byte)sliderR.Value;
            Properties.Settings.Default.G = (byte)sliderG.Value;
            Properties.Settings.Default.B = (byte)sliderB.Value;
            Properties.Settings.Default.Szerokość = Width;
            Properties.Settings.Default.Wysokosc = Height;
            Properties.Settings.Default.x = Left;
            Properties.Settings.Default.y = Top;
            Properties.Settings.Default.Save();
        }
    }
}
